Bug 1031577 - It is possible to create several VNIC profile with the same name for the specific network
It is possible to create several VNIC profile with the same name for the spec...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
GenadiC
network
:
Depends On:
Blocks: 3.3rc1
  Show dependency treegraph
 
Reported: 2013-11-18 05:29 EST by GenadiC
Modified: 2016-02-10 14:47 EST (History)
10 users (show)

See Also:
Fixed In Version: is27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:18:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22039 None None None Never

  None (edit)
Description GenadiC 2013-11-18 05:29:29 EST
Description of problem:
The VNIC profile for specific network should be unique, but if you update non-VM network to be VM and in the same step add it several VNIC profile with the same name then the action succeeds

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create non-VM network
2. Update it to be VM network and add it several VNIC profiles with the same name in that step
3.

Actual results:
Network will become VM and will have several VNIC profiles with the same name

Expected results:
Network should have only one profile with specific name (should be unique)

Additional info:
Comment 1 Martin Pavlik 2013-12-13 05:39:14 EST
Works in is27

Error while executing action: Cannot add VM network interface profile. The VM network interface profile's name is already used by an existing profile for the same network.
-Please choose a different name.

only one profile with unique name is added
Comment 2 Itamar Heim 2014-01-21 17:18:37 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:24:57 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.